module PackagecloudDebtools
  class Dsc
    attr_accessor :fields, :io, :dirname, :control_file
    def initialize(io, fields)
      @fields = fields
      @io = io
      @dirname = ::File.dirname(@io.path)
      @control_file = GpgVerifier.verify_and_extract(@io)
    end

    def add_to_current_section(line, section)
      if section == "files"
        @fields[section] << Checksum.parse(line, @dirname)
      elsif section =~ /checksums-sha[0-9]+/
        @fields[section] << Checksum.parse(line, @dirname)
      elsif section == "package-list"
        @fields[section] << PackageListItem.parse(line)
      else
        @fields[section] << line.strip
      end
    end
  end
end
